## org.apache.lucene.analysis.charfilter
Class HTMLStripCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharFilter
              org.apache.lucene.analysis.charfilter.BaseCharFilter
                  org.apache.lucene.analysis.charfilter.HTMLStripCharFilter

All Implemented Interfaces:
  Closeable, Readable

    public final class HTMLStripCharFilter

extends BaseCharFilter

A CharFilter that wraps another Reader and attempts to strip out HTML constructs.

Field Summary

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`HTMLStripCharFilter(Reader source)` Creates a new HTMLStripCharFilter over the provided Reader.
`HTMLStripCharFilter(Reader source, Set<String> escapedTags)` Creates a new HTMLStripCharFilter over the provided Reader with the specified start and end tags.

Method Summary
`void` `close()`
`int` `read()`
`int` `read(char[] cbuf, int off, int len)`

Methods inherited from class org.apache.lucene.analysis.charfilter.BaseCharFilter
`addOffCorrectMap, correct, getLastCumulativeDiff`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`correctOffset`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLStripCharFilter

    public HTMLStripCharFilter(Reader source)

  Creates a new HTMLStripCharFilter over the provided Reader.

  Parameters:
    `source` - Reader to strip html tags from.

### HTMLStripCharFilter

    public HTMLStripCharFilter(Reader source,
                               Set<String> escapedTags)

  Creates a new HTMLStripCharFilter over the provided Reader with the specified start and end tags.

  Parameters:
    `source` - Reader to strip html tags from.
    `escapedTags` - Tags in this set (both start and end tags) will not be filtered out.

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `CharFilter`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.